/***************************************************************************
                          level.h  -  description
                             -------------------
    begin                : Fri Dec 8 2000
    copyright            : (C) 2000 by Waldemar Baraldi
    email                : baraldi@lacasilla.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef LEVEL_H
#define LEVEL_H

#include "board.h"
#include "imagemanager.h"
#include "str.h"

class Level: public Object{
  public:

    /** Constructor default.*/
    Level();

    /** Destructor*/
    ~Level();

    /** Carga el nivel en el board.*/
    int load(Board * board, ImageManager * im, Str * filename);

  protected:

    int numberAssignment();
    Str * stringAssignment();
    CardinalPoint sideAssignment();
    void ee();
    void level();
    void printError(Str * s);

    int token;
    int number;
    Str * graph_dir;
    Board * board;
    ImageManager * im;
    bool error;
    int error_line;
    bool entry_ready;

};

#endif