/***************************************************************************
                          none.h  -  description
                             -------------------
    begin                : Thu Aug 17 2000
    copyright            : (C) 2000 by Waldemar Baraldi
    email                : baraldi@lacasilla.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef NONE_H
#define NONE_H

#include "pipe.h"
#include "videomanager.h"

class None: public Pipe{

  public:

    None();
    ~None();

    bool hasConnection(CardinalPoint con){return false;};

    bool isRemovable(){return true;};

    CardinalPoint getOutput(CardinalPoint input){return Void;};

    void restrictAsOutput(CardinalPoint con){};

    bool isRestrictedAsOutput(CardinalPoint con){return false;};

    void incFullLevel(CardinalPoint input,unsigned int amount){};

    int getFullLevel(CardinalPoint input){return 0;};

    Pointer * getPointer();

    void paint(VideoManager * vm);
};

#endif